Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

Errores al pasar de 3.0.14 a 3.1.10Tema Solucionado

Foros donde podréis dejar vuestras dudas sobre phpBB 3.0.x
Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 1031
Registrado: 30 Oct 2009, 00:20
Género:
Edad: 59

Errores al pasar de 3.0.14 a 3.1.10

#1

Mensaje por J_Sparrow »

Buenas, después de vuestra valiosa ayuda, hice pruebas en Local y convertí mi Foro 3.0.14 a 3.1.9, que luego actualicé a 3.1.10
Todo fue bastante bien y como ya tenía ganas de actualizar mi pequeño rincón, pues me decidía a probar en mi servidor, ya que tengo espacio para crear bastantes cosas. Repetí el mismo proceso que tan buen me había resultado en mis pruebas en local y a la primera me salió mal, con lo que borre todo y volví a realizarlo de nuevo. Otra vez mal, errores en la página principal y no podía instalar las extensiones. Pensando que estaba haciendo algo mal, lo instalé en local de nuevo, a ver que narices hacía mal y el resultado fue impecable, es mas, pude pasar hasta el STK, cosa que en mi servidor no me dejaba.
Volví a repetir todo de nuevo en mi servidor y otra vez error tras error, así que decidí subir la base de datos que había limpiado con STK a mi servidor y desde allí hice un un "database_update", con el resultado de que me dijo que ya estaba todo bien. Borre la carpeta Install (bueno, yo las renombro por si acaso) y cuando me fui a mi página de inicio, me sale esto:

Imagen

He revisado todo y no soy capaz de ver donde tengo el problema, aparte que tampoco me entero de que me dice el mensaje.

¿Me podéis decir como solucionar este fallo?. Es curioso, pero con lo mismo en local no me aparece el error y en mi servidor me sale una pantalla entera en el portal con el error. Y si intento instalar la extensión "Avanced BBCode Box" en la copia en mi servidor, me sale este mensaje a la hora de activarlo:

Imagen

Seguiré investigando a ver que narices tengo mal. Agradeceré todo tipo de sugerencia y/o ayuda.

Gracias anticipadas.


Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.
Avatar de Usuario
andares
Moderador
Mensajes: 1409
Registrado: 18 Nov 2008, 03:32
Género:
Edad: 54

Re: Errores al pasar de 3.0.14 a 3.1.10  Tema Solucionado

#2

Mensaje por andares »

Parece un error provocado por estar usando PHP 7.0 en un foro con phpBB 3.1.X, esta versión de phpBB tan solo permite de PHP 5.3.3 hasta 5.6.X.

phpBB 3.2.X si que permite PHP 7.0.

Ahora que recuerdo, comentaste junto a Karbiko en un mensaje el aviso de vuestro hospedaje sobre la actualización a PHP 7.0 y que era de pago, cambiaste de idea?
Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 1031
Registrado: 30 Oct 2009, 00:20
Género:
Edad: 59

Re: Errores al pasar de 3.0.14 a 3.1.10

#3

Mensaje por J_Sparrow »

En el clavo andares, has dado en el clavo.
Ya había dejado por imposible el tema y me he ido a cenar. Cuando volvía hacia el ordenador estaba pensando en esa posibilidad, de que tal vez al crear el Foro en mi servidor, este se había configurado como PHP 7.0 y me había dicho que lo tenía que mirar. No me ha dado tiempo, porque he leído tu respuesta y automáticamente lo he revisado en el panel del servidor. ¡ZAS! en todo el morro, lo tenía ahí y no se me había ocurrido mirarlo y me ha vuelto loco el fin de semana. Gracias andares, me has salvado de nuevo, como siempre hacéis por aquí.
Ahora que recuerdo, comentaste junto a Karbiko en un mensaje el aviso de vuestro hospedaje sobre la actualización a PHP 7.0 y que era de pago, cambiaste de idea?
Yo particularmente he hecho como Karbiko y he actualizado a PHP 5.6, como hasta Enero tenemos tiempo, espero y deseo que salga antes la 3.2, aunque creo que el pagar era con la versión PHP 5.5

Me alegra que la nueva versión phpBB 3.2 funcione con PHP 7.0, en cuanto ponga al día mi Foro con la 3.1.10, esperaré con gran entusiasmo la nueva versión.

Gracias de nuevo, no se que haría si no estaríais vosotros ahí detrás y no es hacer la pelota, es la verdad. Mucha gente como yo estaría perdido en este mundillo.

Doy el tema por solucionado, por si a otro le surge el mismo problema.
Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.

Volver a “Foros de Soporte 3.0.x”